Name:       gnome-encfs-manager
Version:    1.8.18
Release:    %mkrel 1
Summary:    An easy to use manager and mounter for encfs stashes
Group:      Graphical desktop/GNOME
License:    GPLv2+
URL:        http://www.libertyzero.com/GEncfsM
Source:     https://launchpad.net/gencfsm/trunk/1.8/+download/%{name}_%{version}.tar.xz
Patch0:     gnome-encfs-manager-1.8.12.2-fix-desktop-entry.patch
Patch1:     gnome-encfs-manager-1.8.18-mga-vala-0.36.patch

Requires: encfs

BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libtool
BuildRequires: vala
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gee-1.0)
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gnome-keyring-1)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(ice)

%description
The Gnome Encfs Manager is a manager and mounter for encfs stashes. It features:

  * an easy and quick to use tray icon inspired by Cryptkeeper
  * Gnome keyring support
  * per-stash configuration for all features
  * automatic mounting and unmounting, when a stash gets available / unavailable
    (e.g. when you insert a usb drive containing a configured stash)
  * an intuitive interface to create, configure and import stashes
  * automount-at-startup support

%prep
%autosetup -p1

%build
./autogen.sh
%configure2_5x --disable-appindicator
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/icons/Mint-X
rm -rf %{buildroot}%{_datadir}/icons/ubuntu*

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/gnome-encfs-manager
%{_datadir}/applications/gnome-encfs-manager.desktop
%{_datadir}/glib-2.0/schemas/com.libertyzero.gnome-encfs-manager.gschema.xml
%{_datadir}/dbus-1/services/com.libertyzero.gnome-encfs-manager.service
%{_datadir}/gnome-encfs-manager
%{_datadir}/icons/hicolor/*/status/*.svg
%{_datadir}/icons/hicolor/scalable/apps/gnome-encfs-manager.svg


%changelog
* Mon May 29 2017 akien <akien> 1.8.18-1.mga6
+ Revision: 1105420
- Version 1.8.18
- Fix build against vala 0.36

* Sun Feb 14 2016 umeabot <umeabot> 1.8.15-2.mga6
+ Revision: 960366
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 1.8.15-1.mga6
+ Revision: 896361
- new release

* Wed Jan 07 2015 guillomovitch <guillomovitch> 1.8.12.2-1.mga5
+ Revision: 809042
- imported package gnome-encfs-manager

